Skip to main content
`Ctrl`+`K`

# TaoADMMGetDualVector

Returns the dual vector associated with the current `TAOADMM` state

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoADMMGetDualVector(Tao tao, Vec *Y)

Not Collective

## Input Parameter

- tao - the `Tao` context

## Output Parameter

- Y - the current solution

## See Also

`TAOADMM`

## Level

intermediate

## Location

src/tao/constrained/impls/admm/admm.c

## Examples

src/tao/constrained/tutorials/tomographyADMM.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages